%define module  File-Temp
%define name    perl-%{module}
%define version 0.20
%define release %mkrel 3

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Return name and handle of a temporary file safely
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/File/%{module}-%{version}.tar.gz
Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
File::Temp can be used to create and open temporary files in a safe way. There
is both a function interface and an object-oriented interface. The File::Temp
constructor or the tempfile() function can be used to return the name and the
open filehandle of a temporary file. The tempdir() function can be used to
create a temporary directory.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

mv %{buildroot}%{_mandir}/man3/File::Temp.3pm \
    %{buildroot}%{_mandir}/man3/File::Temp-%{version}.3pm

%check
%__make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/File
%{_mandir}/*/*



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.20-3mdv2009.0
+ Revision: 223756
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-2mdv2008.1
+ Revision: 137220
- rename man page to avoid conflict with core

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.1
+ Revision: 136772
- update to new version 0.20

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.1
+ Revision: 110874
- new version

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.1
+ Revision: 105449
- import perl-File-Temp


* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.1
- first mdv release 
